1. Diese Seite verwendet Cookies. Wenn du dich weiterhin auf dieser Seite aufhältst, akzeptierst du unseren Einsatz von Cookies. Weitere Informationen

Problem mit Eclipse nach Umstellung auf Java 1.5

Dieses Thema im Forum "OS X-Developer" wurde erstellt von huhny, 16.03.06.

  1. huhny

    huhny Gala

    Dabei seit:
    10.05.05
    Beiträge:
    48
    Hallo alle Miteinander!

    Ich habe mein Java auf 1.5 (bzw. 5.0) umstellen müssen wegen meinem Studium. Ich habe das auch mal hier für mich dokumentiert:
    http://blog.benjaminlutz.de/index.php?/archives/9-Java-5.0-und-MacOSX.html

    Nun funktioniert mein Eclipse leider nicht mehr ganz so wie gewüscht, was wohl daran liegt, dass die Pfade falsch gesetzt sind (siehe Screenshot im Anhang).

    Ich würde die Pfade ja gerne anpassen, aber es scheint einfach nicht zu funktionieren!? Die Buttons sind nicht aktiv wenn ich die Auswahl getroffen habe.

    Wo kann man das ändern? Weiss vielleicht jmd. weiter?

    Ich habe den Eclipse-Ordner auch schon komplett gelöscht und neu installiert, aber das bringt auch nichts.

    Danke für eure Hilfe!

    Gruss,
    Benny
     

    Anhänge:

  2. philo

    philo Roter Stettiner

    Dabei seit:
    13.10.04
    Beiträge:
    973
    hallo, da hinter steht ja "reserved". da heisst du kannst es nicht verhindern. kannst du nicht einfach auf "New" drücken und die Pfade zu Java 1.5 angeben?
    gruss
    philo
     
  3. huhny

    huhny Gala

    Dabei seit:
    10.05.05
    Beiträge:
    48
    Danke für die Hilfe!

    Das sagte ich ja bereits!

    Nein, das habe ich natürlich auch schon ausprobiert!

    Ich habe auch schon hier im Forum und bei Google gesucht, aber nichts passendes gefunden...

    Hat denn niemand Eclipse benutzt und hinterher auf Java 1.5 umgestellt?

    Gruss,
    Benny
     
  4. alaska

    alaska Jamba

    Dabei seit:
    06.08.04
    Beiträge:
    58
    Es langt nicht Eclipse nur mit einem anderen JDK zu starten. Du musst das neue JDK auch zu den installed JRE's hinzufügen (window - preferences - java - installed jres). Dort kannst Du dann aussuchen welches die Standard-JRE sein soll. Diese bestimmt dann die Variablen, die Du in Deinem Screenshot gezeigt hast.

    HTH

    AL
     
  5. huhny

    huhny Gala

    Dabei seit:
    10.05.05
    Beiträge:
    48
    Danke! Das war genau was ich gesucht hatte... Eclipse hat aber auch so viele Einstellungen... ;)

    Gruss,
    Benny
     

Diese Seite empfehlen